<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Class ch.javasoft.polco.config.Phase
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Class ch.javasoft.polco.config.Phase";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/polco/config/class-use/Phase.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Phase.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>ch.javasoft.polco.config.Phase</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.config"><B>ch.javasoft.polco.config</B></A></TD>
<TD>The <tt>polco.config</tt> package contains classes associated with the XML
configuration file used to control runtime options of the polco program.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A> in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A> that return <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A></CODE></FONT></TD>
<TD><CODE><B>Phase.</B><B><A HREF="../../../../../ch/javasoft/polco/config/Phase.html#valueOf(java.lang.String)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the enum constant of this type with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>[]</CODE></FONT></TD>
<TD><CODE><B>Phase.</B><B><A HREF="../../../../../ch/javasoft/polco/config/Phase.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an array containing the constants of this enum type, in
the order they're declared.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A> with parameters of type <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(org.dom4j.Element, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(org.dom4j.Element&nbsp;config,
                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getArithmetic</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumeric(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getPolcoConfigNumeric</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumeric(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getPolcoConfigNumeric</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                           <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumericArithmetic(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getPolcoConfigNumericArithmetic</A></B>(org.dom4j.Document&nbsp;xmlConfig,
                                                               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getPolcoConfigNumericArithmetic(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getPolcoConfigNumericArithmetic</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
                                                               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(org.dom4j.Document, ch.javasoft.polco.config.Phase)">getZero</A></B>(org.dom4j.Document&nbsp;xmlConfig,
               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(org.dom4j.Element, ch.javasoft.polco.config.Phase)">getZero</A></B>(org.dom4j.Element&nbsp;config,
               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B>PolcoConfig.</B><B><A HREF="../../../../../ch/javasoft/polco/config/PolcoConfig.html#getZero(ch.javasoft.xml.config.XmlConfig, ch.javasoft.polco.config.Phase)">getZero</A></B>(<A HREF="../../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A>&nbsp;xmlConfig,
               <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config">Phase</A>&nbsp;phase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/polco/config/Phase.html" title="enum in ch.javasoft.polco.config"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/polco/config/class-use/Phase.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Phase.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
